Subject: Re: [PATCH net-next] net: dsa: Set a "dsa" device_type

From: Vivien Didelot <[email-masked]>
Date: Thu, 24 Sep 2015 23:37:26 -0400

On Sep. Thursday 24 (39) 05:28 PM, Florian Fainelli wrote:
> On 24/09/15 15:37, Vivien Didelot wrote:
> > Hi Florian,
> > 
> > On Sep. Wednesday 23 (39) 06:19 PM, Florian Fainelli wrote:
> >> Provide a device_type information for slave network devices created by
> >> DSA, this is useful for user-space application to easily locate/search
> >> for devices of a specific kind.
> >>
> >> Signed-off-by: Florian Fainelli <[email-masked]>

Reviewed-by: Vivien Didelot <[email-masked]>

> > 
> > Noob question, how is that used from user-space?
> 
> This changes the 'uevent' attribute, before, it would look like this:
> 
> cat /sys/class/net/gphy/uevent
> OF_NAME=port
> OF_FULLNAME=/rdb/switch_top@f0b00000/ethernet_switch@0/switch@0/port@0
> OF_COMPATIBLE_N=0
> OF_ALIAS_0=switch_port0
> INTERFACE=gphy
> IFINDEX=3
> #
> 
> With that change it looks like this:
> 
> # cat /sys/class/net/gphy/uevent
> DEVTYPE=dsa
> OF_NAME=port
> OF_FULLNAME=/rdb/switch_top@f0b00000/ethernet_switch@0/switch@0/port@0
> OF_COMPATIBLE_N=0
> OF_ALIAS_0=switch_port0
> INTERFACE=gphy
> IFINDEX=3
> 
> VLAN does a similar thing:
> 
> DEVTYPE=vlan
> INTERFACE=eth0.2
> IFINDEX=14
> 
> > 
> > Also, don't you think that this "dsa" device type might be conflicting
> > with eventually exposed DSA ports? Or will they all get the same type?
> 
> Well, as of today these ports are not exposed, it is unclear to me
> whether they would be real network devices (with an actual struct device
> backing them), and we may want to dedicate a specific DEVTYPE like
> "dsa-pseudo-port" or something like that, specifically for these devices.
> 
> Hope this clarifies the intent and usefulness of the patch.

Yes it does, thanks! I don't have the usage for this (yet?) but it looks
good anyway.

I hope it's ok to put the Reviewed-by: tag here, otherwise I'll reply to
the first message.

-v